Subject: Ticket Assigned - My Account
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 06 Apr 2021 07:52:03 +0000

Hi Alka Pandey,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  My Account I placed an order and chose tabby installments and it got canceled and my card was charged for the first installment already! I want to know the reason behind the cancellation and how will I get my refund!!!!

Order details below: 
Thank you for your order. Order 9648479793 for Relax Memory Foam Filled Strip... +18more items for AED  1455.0 is confirmed. Expect delivery by 17-04-2021. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2359297